commit:     682444eb8dcde1f70df0bbcfb2d4a8630ea926a9
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Jun  9 12:37:56 2020 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Jun  9 12:42:47 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=682444eb

dev-python/pyperclip: Disable klipper tests

Closes: https://bugs.gentoo.org/710158
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/pyperclip/pyperclip-1.7.0.ebuild | 4 ++++
 1 file changed, 4 insertions(+)

diff --git a/dev-python/pyperclip/pyperclip-1.7.0.ebuild 
b/dev-python/pyperclip/pyperclip-1.7.0.ebuild
index 5736bc02ac0..8e4042f67f1 100644
--- a/dev-python/pyperclip/pyperclip-1.7.0.ebuild
+++ b/dev-python/pyperclip/pyperclip-1.7.0.ebuild
@@ -46,6 +46,10 @@ PATCHES=(
 src_prepare() {
        # stupid windows
        find -type f -exec sed -i -e 's:\r$::' {} + || die
+       # klipper is hard to get working, and once we make it work,
+       # it breaks most of the other backends
+       sed -e 's:_executable_exists("klipper"):False:' \
+               -i tests/test_pyperclip.py || die
        distutils-r1_src_prepare
 }
 

Reply via email to